php versteht keine relativen Pfade (mehr)

Dieses Thema im Forum "Webserver (Software): Windows" wurde erstellt von Michael, 4. Februar 2003.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. Michael

    Michael Eingetragener Provider

    Registriert seit:
    26. Mai 2000
    Beiträge:
    507
    Firmenname:
    ms-media24.de
    Anbieterprofil:
    Klick
    Hi,

    hab hier eine Neuinstallation von WAMP zum Entwickeln gemacht (konnte leider kein aktuelles PHP von www.php4win.com ziehen, habe ein 4.0.4 Version) und plötzlich versteht mein PHP kein includes mehr.

    Wenn ich in einem Script
    include "test.inc.php"
    schreibe und die test.inc.php im gleichen Verzeichnis liegt, kommt trotzdem ein
    Fatal error: Failed opening required 'test.inc.php' (include_path='') in z:/.... on line 52

    Woran kann das liegen? Ein auskommentieren des include_path hat nichts gebracht, auch war ein
    include "./test.inc.php"
    erfolglos :-(.


    Gruss
    Michael
     
  2. Michael

    Michael Eingetragener Provider

    Registriert seit:
    26. Mai 2000
    Beiträge:
    507
    Firmenname:
    ms-media24.de
    Anbieterprofil:
    Klick
    Hi,

    habe soeben unter http://www.dclp-faq.de/q/q-datei-einbinden.html die Lösung für mein Problem gefunden, nur warum funktioniert das plötzlich nicht mehr?
    Es hat sowohl auf einem Windows Rechner (php Version unbekannt) und 2 Linuxrechnern funktioniert (php 4.2.2) :-(.
    Gibts irgendwo eine Einstellmöglichkeit, damit ich nicht alle Dateien ändern muss?

    Gruss
    Michael
     
  3. VividNet

    VividNet New Member

    Registriert seit:
    8. Juli 2002
    Beiträge:
    388
    hast Du in der PHP.ini die include Pfade angegeben?
    bzw. den erforderlichen "." ?
     
  4. Michael

    Michael Eingetragener Provider

    Registriert seit:
    26. Mai 2000
    Beiträge:
    507
    Firmenname:
    ms-media24.de
    Anbieterprofil:
    Klick
    Hi,

    das hatte ich auch alles versucht, mittlerweile konnte Version 4.3.0 runterladen (dachte die gäbs nur bei php4win.com??) und jetzt läuft wieder alles.

    Lag dann wohl an der Version.

    Gruss
    Michael
     
  5. mattes

    mattes Erfahrener Benutzer

    Registriert seit:
    7. Januar 2002
    Beiträge:
    1.864
    4.0.4 war nun langsam auch wirklich antiquiert. Und PHP gibt's natürlich auch für Windows auf der offiziellen Seite www.php.net oder auch einem der Mirrors wie z.B. www.php3.de.

    Gruß,
    Matthias
     
Status des Themas:
Es sind keine weiteren Antworten möglich.

Diese Seite empfehlen